---
title: "Get metadata of doc group"
url: "https://docs.signnow.com/docs/document-group/operations/get-v2-document-groups-document_group_id-metadata"
type: "endpoint"
section: "document-group"
slug: "document-group/operations/get-v2-document-groups-document_group_id-metadata"
method: "GET"
path: "/v2/document-groups/{document_group_id}/metadata"
operation_id: "get-v2-document-groups-document_group_id-metadata"
authorization: "bearer"
---

# Get metadata of doc group

`GET /v2/document-groups/{document_group_id}/metadata`

This endpoint allows users to get metadata for a document group.

## Authorization

bearer

## Path Parameters

| Name | Type | Required | Description |
|------|------|----------|-------------|
| `document_group_id` | string | Yes | ID of the document group. |

## Header Parameters

| Name | Type | Required | Description |
|------|------|----------|-------------|
| `Content-Type` | string | No | application/json |

## Responses

### 200

OK
* with metadata
* without metadata

**Example** (`With metadata`)

```json
{
  "data": {
    "content": {
      "key": "value",
      "key1": "value",
      "key2": "value"
    },
    "created": 1685433840,
    "updated": 1685433840,
    "application_id": "6cXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXX"
  }
}
```

**Example** (`Without metadata`)

```json
{
  "data": []
}
```

### 400

Incorrect or missing token

**Example** (`Incorrect or missing token`)

```json
{
  "code": 1537,
  "error": "invalid_token"
}
```

### 403

* Request with bearer token from another user

**Example** (`Request with bearer token from another user`)

```json
{
  "errors": [
    {
      "code": 13020008,
      "message": "Access to DocumentGroup is denied"
    }
  ]
}
```

### 404

* Request with `group_id` which does not exist
* Request with `group_id` which is a template

**Example** (`Request with `group_id` which is a template`)

```json
{
  "message": "Document group `4fXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXX` not found"
}
```

**Example** (`Request with `group_id` which does not exist`)

```json
{
  "errors": [
    {
      "message": "Document group `4fXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXX` not found"
    }
  ]
}
```

## Code Examples

> Replace `$SIGNNOW_ACCESS_TOKEN` and any `{placeholder}` values before running.

### cURL

```bash
curl -X GET \
  "https://api.signnow.com/v2/document-groups/{document_group_id}/metadata" \
  -H "Authorization: Bearer $SIGNNOW_ACCESS_TOKEN"
```

---
*Full reference: https://docs.signnow.com/docs/document-group/operations/get-v2-document-groups-document_group_id-metadata*
